MP4(3)

NAME

MP4GetTrackBitRate - Get the average bit rate in bits per second of the specified track

SYNTAX

#include <mp4.h>

u_int32_t MP4GetTrackBitRate(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the bit rate is desired.

RETURN VALUES

Upon success, the average bit rate in bits per second of the track. Upon an error, 0.

DESCRIPTION

MP4GetTrackBitRate returns the average bit rate in bits per second in the specified track in the mp4 file.

Note: hint tracks will not return their bit rate via this mechanism.

SEE ALSO

MP4(3)